#
# spec file for package gnuchess (Version 5.02)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gnuchess
Copyright:    GPL
Group:        Amusements/Games
Provides:     gchess
Autoreqprov:  on
Version:      5.02
Release:      34
Summary:      The GNU chess program
Source:       chess-%{version}.tar.bz2
Patch:        chess-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-build

%description
A worthy chess opponent. Runs in text mode. You can find an X11 interface
in the xboard package.

Authors:
--------
    Hans Eric Sandstrom <hes@log-sv.se>
    Stuart Cracraft <cracraft@rice-chex.ai.mit.edu>
    Mike McGann <mwm@hslrswi.hasler.ascom.ch>
    Philippe Schnoebelen <phs@lifia.imag.fr>
    Tim Mann <mann@src.dec.com>

SuSE series: fun

%prep
%setup -n chess-%{version}
%patch

%build
cd src
autoconf
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
	   --mandir=%{_mandir} %{_target_cpu}-suse-linux
make BOOKOPTS=" -S 45000 -P 16"

%install
install -d -m755 $RPM_BUILD_ROOT/usr/{bin,share/man/man6}
make install prefix=$RPM_BUILD_ROOT/usr MANDIR=$RPM_BUILD_ROOT/usr/share/man/man6 -C src
#make check -C src

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/*
%doc %{_mandir}/man6/*
%doc doc/ChangeLog doc/README doc/chess_faq.html

%changelog -n gnuchess
* Mon Aug 06 2001 - dan@suse.cz
- update to 5.02 version
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue May 02 2000 - vinil@suse.cz
- prefix problem fixed
* Tue Apr 11 2000 - vinil@suse.cz
- buildroot added
* Thu Jan 20 2000 - ro@suse.de
- man to /usr/share/man
* Wed Oct 13 1999 - ro@suse.de
- update to pl80
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
